Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 147780 - Some IMAP folders not accessible
Summary: Some IMAP folders not accessible
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Malcolm
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC5Target
TreeView+ depends on / blocked
 
Reported: 2005-02-11 08:45 UTC by David Woodhouse
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-01-13 22:24:07 UTC


Attachments (Terms of Use)
patch to make the namespace abuse optional (deleted)
2005-04-21 23:29 UTC, David Woodhouse
no flags Details | Diff

Description David Woodhouse 2005-02-11 08:45:53 UTC
Evolution pollutes the IMAP server's namespace with its own 'Junk' and 'Trash'
folders, and prevents access to _real_ folders with those names. These are not
IMAP folders, and shouldn't be displayed in the IMAP heirarchy. They should
probably be shown in the vFolders tree instead, or somewhere entirely separate
from the IMAP namespace.

It's not acceptable to prevent access to _real_ folders on the IMAP server.

Ideally, it would be possible for the user to completely remove these.
Personally I can handle it, but for my father I have to rebuild Evolution
without 'Junk' support in order to prevent it from confusing him.

Comment 1 David Woodhouse 2005-04-21 23:29:05 UTC
Created attachment 113496 [details]
patch to make the namespace abuse optional

Comment 2 David Woodhouse 2005-08-06 10:15:30 UTC
I'm still having to build my own evo-data-server rpms to fix this bug. 

Comment 3 Dave Malcolm 2006-01-13 22:24:07 UTC
I've filed this upstream here:
http://bugzilla.gnome.org/show_bug.cgi?id=326909

I'm going to resolve this as UPSTREAM; I want to minimize the Fedora package's
delta from upstream here.


Note You need to log in before you can comment on or make changes to this bug.